/* 
 * @Program that Edit Text by Insertion and Replacement
 * CDATASectionNode.java 
 * Author:-RoseIndia Team
 * Date:-10-Jun-2008
 */

import java.io.*;
import javax.xml.parsers.*;
import org.w3c.dom.*;

public class CDATASectionNode {

    public static void main(String[] args) throws Exception {
        DocumentBuilderFactory builderFactory = DocumentBuilderFactory.newInstance();
        builderFactory.setValidating(false);

        Document doc = builderFactory.newDocumentBuilder().parse(new File("Document8.xml"));
        new CDATASectionNode().addCDATA(doc);
    }

    public void addCDATA(Document doc) {
        Element root = doc.getDocumentElement();
        Element Location = (Element) root.getFirstChild();
        Element Companyname = (Element) Location.getLastChild();
        System.out.println("Text node before Replacing is: "+Companyname.getFirstChild().getNodeValue());
        String dirtext ="\n"+
                "Rose\n" +
                "India\n" +
                ".Net\n" +
                "Rohini\n"+
                "<>";
        CDATASection dirdata = doc.createCDATASection(dirtext);
        Companyname.replaceChild(dirdata,Companyname.getFirstChild());
        System.out.println("Text node after Replacing is: "+Companyname.getFirstChild().getNodeValue());
         
  
    }
}
